aboutsummaryrefslogtreecommitdiff
path: root/debian/libnx-xinerama1.postinst.in
diff options
context:
space:
mode:
authorMike Gabriel <mike.gabriel@das-netzwerkteam.de>2015-01-27 13:56:36 +0100
committerMike Gabriel <mike.gabriel@das-netzwerkteam.de>2015-01-28 11:35:59 +0100
commitb3d32ec569b8cd7efcb7a332d896eecd9681af02 (patch)
tree3c7e1d87ee226804e85e359dfe31bcdf67b0a198 /debian/libnx-xinerama1.postinst.in
parenta3087eec9b048d308ae704f7a0540eaa416d4813 (diff)
downloadnx-libs-b3d32ec569b8cd7efcb7a332d896eecd9681af02.tar.gz
nx-libs-b3d32ec569b8cd7efcb7a332d896eecd9681af02.tar.bz2
nx-libs-b3d32ec569b8cd7efcb7a332d896eecd9681af02.zip
Fully rework the way nx-libs gets packaged for Debian/Ubuntu.
* Debian/Ubuntu packaging: + Fully rework the way nx-libs gets packaged for Debian/Ubuntu. + Split up libnx-x11 into individual packages. + Provide dbg:packages for each bin:package containing binaries. + Use Makefile logic to install files into DESTDIR. + Provide dev:packages for each lib:package individually. + Provide nx-x11proto-*-dev packages for all libnx-* libraries. + Install _all_ library files (*.so*) to /usr/lib/<triplet>/, so no extra settings of LD_LIBRARY_PATH is necessary.
Diffstat (limited to 'debian/libnx-xinerama1.postinst.in')
-rwxr-xr-xdebian/libnx-xinerama1.postinst.in53
1 files changed, 53 insertions, 0 deletions
diff --git a/debian/libnx-xinerama1.postinst.in b/debian/libnx-xinerama1.postinst.in
new file mode 100755
index 000000000..c690be387
--- /dev/null
+++ b/debian/libnx-xinerama1.postinst.in
@@ -0,0 +1,53 @@
+#!/bin/sh
+# postinst script for libnx-x11
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ ### FIXME: this is a work-around while we have not implemented
+ ### multiarch support into the Debian source package of
+ ### nx-libs.
+
+ libdir=/usr/lib/#DEB_BUILD_MULTIARCH#
+
+ rm -f /usr/lib/nx/X11/Xinerama/libNX_X11.so.6
+ rm -f /usr/lib/nx/X11/Xinerama/libNX_Xext.so.6
+ if test -e $libdir/libX11.so.6; then
+ ln -s $libdir/libX11.so.6 /usr/lib/nx/X11/Xinerama/libNX_X11.so.6
+ fi
+ if test -e $libdir/libXext.so.6; then
+ ln -s $libdir/libXext.so.6 /usr/lib/nx/X11/Xinerama/libNX_Xext.so.6
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0